Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu
Interface Plugin

All Known Implementing Classes:
  JBrowsePlugin

    public interface Plugin

An interface which defines the basical behavior of a Jext plugin.

Method Summary
`void` | `createMenuItems(AbstractEditorPanel parent, java.util.Vector pluginsMenus, java.util.Vector pluginsMenuItems)` Called by parent (instance of Jext) to requires menu items specific to the plugin.
`void` | `createOptionPanes(OptionsDialog parent)` Called by Jext when user request plugins options.
`void` | `start()` Called by Jext on startup to start plugin.
`void` | `stop()` Called by Jext on close to stop plugin activities.

Method Detail

### createMenuItems

    void createMenuItems(AbstractEditorPanel parent,
                         java.util.Vector pluginsMenus,
                         java.util.Vector pluginsMenuItems)
                         throws java.lang.Throwable

  Called by parent (instance of Jext) to requires menu items specific to the plugin. Menu items have to be added into the Vector pluginsMenuItems and submenus have to be added into the Vector pluginsMenu.

  Throws:
    `java.lang.Throwable`

### createOptionPanes

    void createOptionPanes(OptionsDialog parent)
                           throws java.lang.Throwable

  Called by Jext when user request plugins options. Plugin has to add an AbstractOptionPane to the AbstractOptionsDialog parent.

  Throws:
    `java.lang.Throwable`

### start

    void start()
               throws java.lang.Throwable

  Called by Jext on startup to start plugin.

  Throws:
    `java.lang.Throwable`

### stop

    void stop()
              throws java.lang.Throwable

  Called by Jext on close to stop plugin activities.

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.